<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Entities/ScriptedEntity.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d9f/_scripted_entity_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">ScriptedEntity.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../dc/d9f/_scripted_entity_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:aaeebe0cb195464d17884b96356278c39"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d9f/_scripted_entity_8c.html#aaeebe0cb195464d17884b96356278c39">TriggerShape</a> </td></tr>
<tr class="separator:aaeebe0cb195464d17884b96356278c39"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a0521804c839919fd470715c268b2437f"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../dc/d9f/_scripted_entity_8c.html#aaeebe0cb195464d17884b96356278c39">TriggerShape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d9f/_scripted_entity_8c.html#a0521804c839919fd470715c268b2437f">SetClippingInfo</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> mins, <a class="el" href="../../d7/dfc/classvector.html">vector</a> maxs, <a class="el" href="../../d4/dc3/classfloat.html">float</a> radius)</td></tr>
<tr class="memdesc:a0521804c839919fd470715c268b2437f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets collision properties for object.  <a href="../../dc/d9f/_scripted_entity_8c.html#a0521804c839919fd470715c268b2437f">More...</a><br /></td></tr>
<tr class="separator:a0521804c839919fd470715c268b2437f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22ba5dfb63f14c85f50e1e8578603dbf"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d9f/_scripted_entity_8c.html#a22ba5dfb63f14c85f50e1e8578603dbf">SetCollisionBox</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> mins, <a class="el" href="../../d7/dfc/classvector.html">vector</a> maxs)</td></tr>
<tr class="memdesc:a22ba5dfb63f14c85f50e1e8578603dbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets collision box for object.  <a href="../../dc/d9f/_scripted_entity_8c.html#a22ba5dfb63f14c85f50e1e8578603dbf">More...</a><br /></td></tr>
<tr class="separator:a22ba5dfb63f14c85f50e1e8578603dbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f28344302adf4813e2c253ae339f7d2"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d9f/_scripted_entity_8c.html#a3f28344302adf4813e2c253ae339f7d2">SetCollisionSphere</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> radius)</td></tr>
<tr class="memdesc:a3f28344302adf4813e2c253ae339f7d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets collision sphere for object.  <a href="../../dc/d9f/_scripted_entity_8c.html#a3f28344302adf4813e2c253ae339f7d2">More...</a><br /></td></tr>
<tr class="separator:a3f28344302adf4813e2c253ae339f7d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a209da0fff45d7cf5441f5b7eafe42326"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d9f/_scripted_entity_8c.html#a209da0fff45d7cf5441f5b7eafe42326">SetCollisionCylinder</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> radius, <a class="el" href="../../d4/dc3/classfloat.html">float</a> height)</td></tr>
<tr class="memdesc:a209da0fff45d7cf5441f5b7eafe42326"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets collision cylinder for object.  <a href="../../dc/d9f/_scripted_entity_8c.html#a209da0fff45d7cf5441f5b7eafe42326">More...</a><br /></td></tr>
<tr class="separator:a209da0fff45d7cf5441f5b7eafe42326"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e515ac98f0e61c4febe77a15b3859d1"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d9f/_scripted_entity_8c.html#a5e515ac98f0e61c4febe77a15b3859d1">SetTriggerShape</a> (<a class="el" href="../../dc/d9f/_scripted_entity_8c.html#aaeebe0cb195464d17884b96356278c39">TriggerShape</a> shape)</td></tr>
<tr class="memdesc:a5e515ac98f0e61c4febe77a15b3859d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the TriggerShape to be used, default is TriggerShape.BOX.  <a href="../../dc/d9f/_scripted_entity_8c.html#a5e515ac98f0e61c4febe77a15b3859d1">More...</a><br /></td></tr>
<tr class="separator:a5e515ac98f0e61c4febe77a15b3859d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96df806516afa62ea44e3cdfa960012b"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../dc/d9f/_scripted_entity_8c.html#aaeebe0cb195464d17884b96356278c39">TriggerShape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d9f/_scripted_entity_8c.html#a96df806516afa62ea44e3cdfa960012b">GetTriggerShape</a> ()</td></tr>
<tr class="memdesc:a96df806516afa62ea44e3cdfa960012b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current TriggerShape.  <a href="../../dc/d9f/_scripted_entity_8c.html#a96df806516afa62ea44e3cdfa960012b">More...</a><br /></td></tr>
<tr class="separator:a96df806516afa62ea44e3cdfa960012b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a074d6a8b3ce6d5ed5aebdf1d6efb4952"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d9f/_scripted_entity_8c.html#a074d6a8b3ce6d5ed5aebdf1d6efb4952">IsInventoryVisible</a> ()</td></tr>
<tr class="separator:a074d6a8b3ce6d5ed5aebdf1d6efb4952"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a311c29de5b0fd16d11c0cf1f98a73370"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d9f/_scripted_entity_8c.html#a311c29de5b0fd16d11c0cf1f98a73370">BOX</a></td></tr>
<tr class="separator:a311c29de5b0fd16d11c0cf1f98a73370"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae4f0962d104ea473feec5598689316d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d9f/_scripted_entity_8c.html#aae4f0962d104ea473feec5598689316d">SPHERE</a></td></tr>
<tr class="separator:aae4f0962d104ea473feec5598689316d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a888b08e657c6e46ad6f758e66b4e6bd2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d9f/_scripted_entity_8c.html#a888b08e657c6e46ad6f758e66b4e6bd2">CYLINDER</a></td></tr>
<tr class="separator:a888b08e657c6e46ad6f758e66b4e6bd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="aaeebe0cb195464d17884b96356278c39" name="aaeebe0cb195464d17884b96356278c39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaeebe0cb195464d17884b96356278c39">&#9670;&#160;</a></span>TriggerShape</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../dc/d9f/_scripted_entity_8c.html#aaeebe0cb195464d17884b96356278c39">TriggerShape</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d9f/_scripted_entity_8c_source.html#l00001">1</a> of file <a class="el" href="../../dc/d9f/_scripted_entity_8c_source.html">ScriptedEntity.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a96df806516afa62ea44e3cdfa960012b" name="a96df806516afa62ea44e3cdfa960012b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96df806516afa62ea44e3cdfa960012b">&#9670;&#160;</a></span>GetTriggerShape()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../dc/d9f/_scripted_entity_8c.html#aaeebe0cb195464d17884b96356278c39">TriggerShape</a> GetTriggerShape </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the current TriggerShape. </p>

</div>
</div>
<a id="a074d6a8b3ce6d5ed5aebdf1d6efb4952" name="a074d6a8b3ce6d5ed5aebdf1d6efb4952"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a074d6a8b3ce6d5ed5aebdf1d6efb4952">&#9670;&#160;</a></span>IsInventoryVisible()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> IsInventoryVisible </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d9f/_scripted_entity_8c_source.html#l00062">62</a> of file <a class="el" href="../../dc/d9f/_scripted_entity_8c_source.html">ScriptedEntity.c</a>.</p>

</div>
</div>
<a id="a0521804c839919fd470715c268b2437f" name="a0521804c839919fd470715c268b2437f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0521804c839919fd470715c268b2437f">&#9670;&#160;</a></span>SetClippingInfo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../dc/d9f/_scripted_entity_8c.html#aaeebe0cb195464d17884b96356278c39">TriggerShape</a> SetClippingInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>mins</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>maxs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>radius</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets collision properties for object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mins</td><td><code>vector</code> Min values of box </td></tr>
    <tr><td class="paramname">maxs</td><td><code>vector</code> Max values of box </td></tr>
    <tr><td class="paramname">radius</td><td><code>float</code> Radius of bounding sphere </td></tr>
  </table>
  </dd>
</dl>
<dl class="section note"><dt>Note</dt><dd>This function is obsolete, use rather <a class="el" href="../../dc/d9f/_scripted_entity_8c.html#a22ba5dfb63f14c85f50e1e8578603dbf" title="Sets collision box for object.">SetCollisionBox()</a> </dd></dl>

</div>
</div>
<a id="a22ba5dfb63f14c85f50e1e8578603dbf" name="a22ba5dfb63f14c85f50e1e8578603dbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22ba5dfb63f14c85f50e1e8578603dbf">&#9670;&#160;</a></span>SetCollisionBox()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetCollisionBox </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>mins</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>maxs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets collision box for object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mins</td><td><code>vector</code> Min values of box </td></tr>
    <tr><td class="paramname">maxs</td><td><code>vector</code> Max values of box </td></tr>
  </table>
  </dd>
</dl>
<dl class="section note"><dt>Note</dt><dd>Automatically sets TriggerShape.BOX <br  />
 usage : <div class="fragment"><div class="line"><a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> mins = <span class="stringliteral">&quot;-1 -1 -1&quot;</span>;</div>
<div class="line"><a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> maxs = <span class="stringliteral">&quot;1 1 1&quot;</span>;</div>
<div class="line"><a class="code hl_function" href="../../dc/d9f/_scripted_entity_8c.html#a22ba5dfb63f14c85f50e1e8578603dbf">SetCollisionBox</a>(mins, maxs);</div>
<div class="ttc" id="a_scripted_entity_8c_html_a22ba5dfb63f14c85f50e1e8578603dbf"><div class="ttname"><a href="../../dc/d9f/_scripted_entity_8c.html#a22ba5dfb63f14c85f50e1e8578603dbf">SetCollisionBox</a></div><div class="ttdeci">proto native void SetCollisionBox(vector mins, vector maxs)</div><div class="ttdoc">Sets collision box for object.</div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
</div><!-- fragment --> </dd></dl>

</div>
</div>
<a id="a209da0fff45d7cf5441f5b7eafe42326" name="a209da0fff45d7cf5441f5b7eafe42326"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a209da0fff45d7cf5441f5b7eafe42326">&#9670;&#160;</a></span>SetCollisionCylinder()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetCollisionCylinder </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>radius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets collision cylinder for object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">radius</td><td><code>float</code> Radius of cylinder </td></tr>
    <tr><td class="paramname">height</td><td><code>float</code> Height of cylinder </td></tr>
  </table>
  </dd>
</dl>
<dl class="section note"><dt>Note</dt><dd>Automatically sets TriggerShape.CYLINDER <br  />
 usage : <div class="fragment"><div class="line"><a class="code hl_function" href="../../dc/d9f/_scripted_entity_8c.html#a209da0fff45d7cf5441f5b7eafe42326">SetCollisionCylinder</a>(3, 6);</div>
<div class="ttc" id="a_scripted_entity_8c_html_a209da0fff45d7cf5441f5b7eafe42326"><div class="ttname"><a href="../../dc/d9f/_scripted_entity_8c.html#a209da0fff45d7cf5441f5b7eafe42326">SetCollisionCylinder</a></div><div class="ttdeci">proto native void SetCollisionCylinder(float radius, float height)</div><div class="ttdoc">Sets collision cylinder for object.</div></div>
</div><!-- fragment --> </dd></dl>

</div>
</div>
<a id="a3f28344302adf4813e2c253ae339f7d2" name="a3f28344302adf4813e2c253ae339f7d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f28344302adf4813e2c253ae339f7d2">&#9670;&#160;</a></span>SetCollisionSphere()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetCollisionSphere </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>radius</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets collision sphere for object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">radius</td><td><code>float</code> Radius of cylinder </td></tr>
  </table>
  </dd>
</dl>
<dl class="section note"><dt>Note</dt><dd>Automatically sets TriggerShape.SPHERE <br  />
 usage : <div class="fragment"><div class="line"><a class="code hl_function" href="../../dc/d9f/_scripted_entity_8c.html#a3f28344302adf4813e2c253ae339f7d2">SetCollisionSphere</a>(3);</div>
<div class="ttc" id="a_scripted_entity_8c_html_a3f28344302adf4813e2c253ae339f7d2"><div class="ttname"><a href="../../dc/d9f/_scripted_entity_8c.html#a3f28344302adf4813e2c253ae339f7d2">SetCollisionSphere</a></div><div class="ttdeci">proto native void SetCollisionSphere(float radius)</div><div class="ttdoc">Sets collision sphere for object.</div></div>
</div><!-- fragment --> </dd></dl>

</div>
</div>
<a id="a5e515ac98f0e61c4febe77a15b3859d1" name="a5e515ac98f0e61c4febe77a15b3859d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e515ac98f0e61c4febe77a15b3859d1">&#9670;&#160;</a></span>SetTriggerShape()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetTriggerShape </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d9f/_scripted_entity_8c.html#aaeebe0cb195464d17884b96356278c39">TriggerShape</a>&#160;</td>
          <td class="paramname"><em>shape</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the TriggerShape to be used, default is TriggerShape.BOX. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a311c29de5b0fd16d11c0cf1f98a73370" name="a311c29de5b0fd16d11c0cf1f98a73370"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a311c29de5b0fd16d11c0cf1f98a73370">&#9670;&#160;</a></span>BOX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">@ BOX</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d9f/_scripted_entity_8c_source.html#l00000">0</a> of file <a class="el" href="../../dc/d9f/_scripted_entity_8c_source.html">ScriptedEntity.c</a>.</p>

</div>
</div>
<a id="a888b08e657c6e46ad6f758e66b4e6bd2" name="a888b08e657c6e46ad6f758e66b4e6bd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a888b08e657c6e46ad6f758e66b4e6bd2">&#9670;&#160;</a></span>CYLINDER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">@ CYLINDER</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d9f/_scripted_entity_8c_source.html#l00002">2</a> of file <a class="el" href="../../dc/d9f/_scripted_entity_8c_source.html">ScriptedEntity.c</a>.</p>

</div>
</div>
<a id="aae4f0962d104ea473feec5598689316d" name="aae4f0962d104ea473feec5598689316d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae4f0962d104ea473feec5598689316d">&#9670;&#160;</a></span>SPHERE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">@ SPHERE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d9f/_scripted_entity_8c_source.html#l00001">1</a> of file <a class="el" href="../../dc/d9f/_scripted_entity_8c_source.html">ScriptedEntity.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_52b4874e80dc11cbd39c955e2d94192b.html">Entities</a></li><li class="navelem"><a class="el" href="../../dc/d9f/_scripted_entity_8c.html">ScriptedEntity.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
